<?php
/**
 *
 * @package Legacy
 * @version $Id: install_createTables.inc.php,v 1.1.2.1.2.1 2006/12/16 14:10:30 nobunobu Exp $
 * @copyright Copyright 2005, 2006 XOOPSCube.org <http://xoopscube.org/> 
 * @license http://www.gnu.org/licenses/gpl.txt GNU GENERAL PUBLIC LICENSE Version 2
 *
 */
    include_once '../mainfile.php';
    include_once './class/dbmanager.php';
    $dbm = new db_manager;

    $tables = array();
    $result = $dbm->queryFromFile('./sql/'.XOOPS_DB_TYPE.'.structure.sql');
    $wizard->assign('reports',$dbm->report());
    if(! $result ){
        $wizard->assign('message',_INSTALL_L114);
        $wizard->setBack(array('start', _INSTALL_L103));
    }else{
        $wizard->assign('message',_INSTALL_L115);
    }
    $wizard->render('install_createTables.tpl.php');
?>
